; This file is Insyde H2OFFT (Flash Firmware Tool) configuration file.
; Because some setting items only supported on specific OS flash.
; Here use following method to identify each setting item.
; (dwsDWS) means the setting item supported on which OS flash.
; d means DOS normal flash.
; w means Windows normal flash.
; s means Shell normal flash.
; D means DOS secure flash.
; W means Windows secure flash.
; S means Shell secure flash.

;
; ***************************
;
; Supported Section List.
;
; ***************************
;                                       | supports on
;  -------------------------------------+---------------------------------
; [AC_Adapter]                          | DOS WIN SHELL Secure
; [AutoWakeup]                          | WIN Secure
; [Bios_Version_Check]                  | DOS WIN SHELL
; [BIOSVersionFormat]                   | DOS WIN SHELL
; [CapsuleAudit]                        | DOS WIN
; [CommonFlash]                         | DOS WIN SHELL
; [FactoryCopy]                         | Secure
; [FDFile]                              | WIN
; [FlashComplete]                       | DOS WIN SHELL Secure
; [FlashSecureBIOSOverride]             | DOS WIN SHELL
; [ForceFlash]                          | WIN SHELL Secure
; [Log_file]                            | WIN SHELL
; [MessageStringTable]                  | DOS WIN SHELL
; [MULTI_FD]                            | DOS WIN SHELL
; [Option]                              | WIN
; [Others]                              | DOS WIN SHELL Secure
; [PasswordCheck]                       | WIN
; [PermitFlashConditionalData]          | DOS
; [PermitFlashVersion]                  | WIN
; [Platform_Check]                      | DOS WIN SHELL
; [PlatformVersion]                     | DOS WIN SHELL
; [Region]                              | DOS WIN SHELL Secure
; [ReturnCodeDefinition]                | WIN
; [ReturnErrorCode]                     | WIN
; [SecureUpdate]                        | WIN SHELL
; [UI]                                  | WIN DOS SHELL
; [UpdateEC]                            | WIN SHELL Secure
; [UpdateExtraData]                     | WIN
; [UpdateOEMME]                         | WIN SHELL
; [Version]                             | WIN
;

; Supports on DOS WIN SHELL Secure flash.
[CommonFlash]
SwitchString=
ErrorMsg00=No error!
ErrorMsg01=AC detect error!
ErrorMsg02=DC detect error!
ErrorMsg03=DC gas gauge under xx%!
ErrorMsg04=BIOS version compare error!
ErrorMsg05=Model name compare error!
ErrorMsg10=Not support this version of Flash Common Interface!
ErrorMsg11=Show BIOS version string length more than xx bytes.
ErrorMsg12=Show model name string length more than xx bytes.
;
; WARNING!
; to disable [CommonFlash] is remove entire section.
; if enable, power check will take care by Ihisi, and NOT reference [AC_Adapter].
;
;SwitchString                       (dwsDWS)
;                  default : empty.
;                   String : A switch flag setting string. Ex: "CPVER:[1] ACEN DCEN FHRST"
;                            Detail parameter please reference following table.
;  Parameter    | Description
;  -------------+----------------------------------------------
;  PTEN         | All protection enable.
;  PTDIS        | All protection disable.
;  ACEN         | AC protect checking enable.
;  ACDIS        | AC protect checking disable.
;  DCEN         | DC & Gangue protect checking enable.
;  DCDIS        | DC & Gangue protect checking disable.
;  RESSEN       | BIOS Regression enable.
;  RESSDIS      | BIOS Regression disable.
;  PJMDEN       | Project Model string protect checking enable.
;  PJMDDIS      | Project Model string protect checking disable.
;  FHOS         | System back to OS after flash BIOS completely.
;  FHST         | System directly shutdown after flash BIOS completely.
;  FHRST        | System directly reboot after flash BIOS completely.
;  CPVER:[Num]  | Common Flash Version information
;               | ex: [Num] is decimal and start from 1.
;  -------------+----------------------------------------------
;ErrorMsg00                         (dwsDWS)
;                  default : empty.
;                   String : No error message.
;ErrorMsg01                         (dwsDWS)
;                  default : empty.
;                   String : AC error message.
;ErrorMsg02                         (dwsDWS)
;                  default : empty.
;                   String : DC error message.
;ErrorMsg03                         (dwsDWS)
;                  default : empty.
;                   String : DC gas gauge under xx% message.
;ErrorMsg04                         (dwsDWS)
;                  default : empty.
;                   String : BIOS version error message.
;ErrorMsg05                         (dwsDWS)
;                  default : empty.
;                   String : Model name error message.
;ErrorMsg10                         (dwsDWS)
;                  default : empty.
;                   String : No support this version of Flash Common Interface message.
;The number of ErrorMsg## is in hex.

; Supports on DOS flash.
[PermitFlashConditionalData]
PFCDFunctionEnable=0
Conditionalcount=3
Conditionaldata1=1,w,"0x0003","The BIOS image does not support the current hardware configuration.\nFlash update is aborted."
Conditionaldata2=2,w,"0x20DD","The BIOS image does not support the current hardware configuration.\nFlash update is aborted."
Conditionaldata3=2,w,"0x20DE","The BIOS image does not support the current hardware configuration.\nFlash update is aborted."
;This flag is the switch of comparing BIOS project ID with ROM file project ID.
;PFCDFunctionEnable                 (d)
;                  default : 0.
;                        0 : function is disabled.
;                        1 : function is enabled.
; The function is enabled or disabled by the flag. If the flag is disabled, application will keep flash progress without conditional check.
;Conditionalcount                   (d)
;                  default : 0.
;                  Integer : Total count of conditional data.
;Conditionaldata#=[Data Type], [Data Format], [Data Field], [Message String]
; Base on data format you need and to add configure value by below data format field and data field.
;(d)      Conditionaldata# : # support from 1~20.
;(d)           [Data Type] : The type of Conditionaldata, when you have more than one conditional data need to check before flash, you can give them different type.
;                            It will allow flash when all types are pass.
;                            It also can use the same type with more than one conditional data, that means if one of the conditional data is pass, this type is pass.
;                            Ex: We have the following settings, Conditionaldata1 is type 0, others are type 1.
;                                Conditionalcount=3
;                                Conditionaldata1=0,w,"0x1234","This BIOS is not allow to flash."
;                                Conditionaldata2=1,w,"0x1111","This BIOS is not allow to flash."
;                                Conditionaldata3=1,w,"0x1222","This BIOS is not allow to flash."
;                                When Conditionaldata1 is pass and Conditionaldata2 or Conditionaldata 3 is pass that will allow flash.
;                                Allow = data1 pass && ( data2 pass || data3 pass ).
;
;(d)         [Data Format] : Can support different as binary, string, WORD, DWORD.
;                        b : The data format is binary.
;                        s : The data format is string.
;                        w : The data format is WORD.
;                        d : The data format is DWORD.
;(d)          [Data Field] : Relative data base on data format.
;                   BINARY : If the data format is binary.
;                            Data field is HEX. The data is as like "AA BB 00 12 55".
;                   String : If the data format is string.
;                            Data field is string. The data is as like "Data.123.AABE.".
;                     WORD : If the data format is WORD.
;                            Data field is HEX and unit is a WORD length. The data is as like "0x1223".
;                    DWORD : If the data format is DWORD.
;                            Data field is HEX and unit is a DWORD length. The data is as like "0x12345678".
;(d)      [Message string] : Define customize message string here.
;                            The message is pop up when flash utility get a process interrupted from BIOS.
;                            The message string is optional field.
;                            It will not pop any message if you do not provide message string in this field.

; Supports on DOS WIN SHELL flash.
[MULTI_FD]
Flag=0
FD#01=PCI,0,1F,2,80,FFFFFFFF,00007007,9.fd,ME.fd
FD#02=PCI,2,0,0,4,FFFFFFFF,00100007,7.fd,ME.fd
FD#03=PCI,2,0,0,18,0000000F,0000000E,9.fd,ME.fd
FD#04=MPCIIO,2,PCI-0-1F-0-00-FFFFFFFF-3B0B8086,IO-538-0100-0000,9.fd,ME.fd
FD#05=IO,C0,5AABFE02,5AABFE02,9.fd,ME.fd
FD#06=IO,1F6,E7,E4,7.fd
FD#07=IO,C0,FE03,FE03,7.fd
FD#08=IO,C0,03,01,7.fd
FD#09=PCI,2,0,0,0,00000813,00000812,9.fd
FD#10=ID,ModelName,BIOS.fd
FD#11=OS,32,32bios.bin,,32.ini
FD#12=OS,64,64bios.bin,me.bin,64.ini
FD#13=MEMORY,55aa55aa,F0F0F0F0,afafafaf,FD_m.bin,ME_m.bin,CFG_m.ini
;Flag                               (dwsDWS)
;                  default : 0.
;                        0 : Normal mode.
;                        1 : Multi-FD mode. It will reference FD#XX values.
;FD#XX                              (dwsDWS)
;                  Integer : XX is decimal number from 01 to 99. (FD#01 ~ FD#99)
;This section supports IO space type, PCI address type and multiple condition type.
;FD#XX=IO,[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=PCI,[Bus],[Device],[Function],[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=MPCIIO,[Condition Number],PCI-[Bus]-[Device]-[Function]-[Offset]-[Mask]-[Value],IO-[Offset]-[Mask]-[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=ID,[Model Name],[Filename],[ME Filename],[INI Filename]
;FD#XX=OS,[OS Version],[Filename],[ME Filename],[INI Filename]
;FD#XX=MEMORY,[Physical Address],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;(dwsDWS)         [Offset] : Offset in hex.
;(dwsDWS)           [Mask] : IO and MEMORY type supports BYTE, WORD and DWORD in hex.
;                              For example, BYTE -> 03, WORD -> 0A01, DWORD 100400D3
;                            PCI type supports DWORD in hex only.
;(dwsDWS)          [Value] : IO and MEMORY type supports BYTE, WORD and DWORD in hex.
;                            PCI type supports DWORD in hex only.
;(dwsDWS)     [Model Name] : The platform ID, model name string.
;(wW)         [OS Version] : 32bit or 64bit OS. 32 for 32bit OS, 64 for 64bit OS.
;(dws)  [Physical Address] : A DWORD value in hex.
;(dwsDWS)       [Filename] : Filename of FD.
;(w)         [ME Filename] : ME Filename of FD. If it exists, utility will run OEMME flash feature.
;(dw)       [INI Filename] : INI Filename for overwrite.
;                            If it exists, utility will load the new ini file and overwrite all sections (except [MULTI_FD]) exist in new ini file.
;When [Offset] & [Mask] == [Value], it will flash the following files ([Filename] and [ME Filename]).

; Supports on WIN flash.
[Version]
Version=
;H2OFFT (FlashFirmware Tool) will display the value at top
;Version                            (wW)
;                  default : empty.
;                   String : Version number string for display.
;                            It will be show on UI, and append on current version number.
;                            When current version is 5.01 and this version string set to "12",
;                             then it will show "H2OFFT V5.01.12" on main dialog caption.

; Supports on WIN DOS SHELL flash.
[UI]
Confirm=0
Silent=0
SilentWithDialog=2
DisplayID=1
InsydeInfo=1
VersionInfo=1
GroupInfo=1
ConfirmInfo=0
ConfirmInfoRDate=0
OnFlashingBeep=0
OnFlashingBeepDelayTime=800
DisableMouseAndKeyboardInput=1
BeforeRunToolDelayTime=0
ProgramStartToWrongMessageBox=0
GetFDFileButton=0
DelayBeforeFlash=0
ConfirmDialogCustomizeMessage=
ShowCustomizeMessageOnConfirmDialogOnly=0
ShowUpdateROMAddress=0
Elapse=0
DisableAccessRightWarningMessage=1
PassUpdateProgressToBios=0
DisableAccessRightCheck=0
;Confirm                            (wW)
;                  default : 1.
;                        0 : Don't display confirm dialog.
;                        1 : Display confirm dialog.
;Silent                             (wW)
;                  default : 0.
;                        0 : Normal mode.
;                        1 : Silent mode, hide main dialog.
;SilentWithDialog                   (wW)
;                  default : 2.
;                        0 : Don't display any dialog.
;                        1 : Display main dialog only.
;                        2 : Display all dialogs except main dialog.
;DisplayID                          (wW)
;                  default : 1.
;                        0 : Don't display BIOS ID.
;                        1 : Display BIOS ID.
;InsydeInfo                         (wW)
;                  default : 1.
;                        0 : Don't display Insyde copyright information and URL.
;                        1 : Display Insyde copyright information and URL.
;VersionInfo                        (wW)
;                  default : 1.
;                        0 : Don't display BIOS version.
;                        1 : Display BIOS version.
;GroupInfo                          (wW)
;                  default : 1.
;                        0 : Don't display group box.
;                        1 : Display group box.
;ConfirmInfo                        (wW)
;                  default : 0.
;                        0 : Don't display BIOS version and build date information in confirm dialog.
;                        1 : Display BIOS version and build date information in confirm dialog.
;ConfirmInfoRDate                   (wW)
;                  default : 0.
;                        0 : Don't display BIOS version and release date information in confirm dialog.
;                        1 : Display BIOS version and release date information in confirm dialog.
;                            When this flag set to 1, the ConfirmInfo flag won't be referenced.
;OnFlashingBeep                     (w)
;                  default : 0.
;                        0 : Don't beep on flashing.
;                        1 : Beep on flashing.
;OnFlashingBeepDelayTime            (w)
;                  default : 800. (Unit is millisecond)
;                  Integer : Set beep delay time (milliseconds).
;DisableMouseAndKeyboardInput       (wW)
;                  default : 0.
;                        0 : Don't hook mouse and keyboard.
;                        1 : Hook mouse and keyboard without "CTRL+ALT+DEL".
;BeforeRunToolDelayTime             (wW)
;                  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flash process.
;ProgramStartToWrongMessageBox      (wW)
;                  default : 0.
;                        0 : Don't pop-up warning dialog before flash process.
;                        1 : Pop-up a warning dialog before flash process.
;GetFDFileButton                    (wW)
;                  default : 0.
;                        0 : Hide FD file browse button.
;                        1 : Show the button for browsing FD file.
;DelayBeforeFlash                   (wW)
;                  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flashing.
;ConfirmDialogCustomizeMessage      (wW)
;                  default : empty.
;                   String : A key name which list in [MessageStringTable].
;                            For inserting additional notification message in confirm dialog.
;ShowCustomizeMessageOnConfirmDialogOnly    (wW)
;                  default : 0
;                        0 : Display default confirm message and insert the customize message on confirm dialog.
;                        1 : Do not display default confirm message, only show customize message on confirm dialog.
;ShowUpdateROMAddress               (d)
;                  default : 0
;                        0 : Show progress bar when updating BIOS.
;                        1 : Show ROM address when updating BIOS.
;Elapse                             (dwsDWS)
;                  default : 0
;                        0 : Disable to show elapse time during progressing BIOS update.
;                        1 : Enable to show elapse time during progressing BIOS update.
;DisableAccessRightWarningMessage   (wW)
;                  default : 0
;                        0 : It will show warning message when any region is locked (such as ME) in input image.
;                        1 : Do not show warning message when any region is locked in input image.
;DisableAccessRightCheck            (wW)
;                  default : 0
;                        0 : It will check access right when any one region flag of [Region] section is set.
;                        1 : It will not do access right check.
;PassUpdateProgressToBios           (DWS)
;                  default : 0
;                        0 : Do not pass update progress to BIOS.
;                        1 : Will pass update progress to BIOS during flash.
 
; Supports on WIN flash.
[Option]
Flag=0
;Flag                               (wW)
;                  default : 0.
;                        0 : Auto flash mode.
;                        1 : User option mode, including option, start, exit buttons.
;                            (Option button will disable on secure flash mode.)
;                        2 : User flash mode, including start, exit buttons.

; Supports on WIN flash.
[FDFile]
FileName=
;FileName                           (wW)
;                  default : empty.
;                   String : Utility always load this file.
;                            If the FileName is empty, utility will search current directory
;                              and load the first found FD file.

; Supports on DOS WIN SHELL flash.
[AC_Adapter]
Flag=1
BatteryCheck=1
BatteryBound=30
LauncherAcWarning=messagestringA02
SecurityAcWarning=messagestringA02
AcNotConnectError=messagestringA05
DcNotConnectError=messagestringA06
DcNotEnoughError=messagestringA07
;Flag                               (dwsDWS)
;                  default : 1.
;                        0 : Don't check AC.
;                        1 : Check AC.
;BatteryCheck                       (dwsDWS)
;                  default : 0.
;                        0 : Don't check battery.
;                        1 : Check battery.
;BatteryBound                       (dwsDWS)
;                  default : 20.
;          Integer (1~100) : Low battery boundary (percentage).
;                            When BatteryCheck=1 this value will be referenced.
;                            And only when the battery life percentage is bigger than
;                              inputed value, it can do flash.
;LauncherAcWarning                  (dsDS)
;                  default : messagestringA02
;                   String : A key name which list in [MessageStringTable].
;SecurityAcWarning                  (dwsDWS)
;                  default : messagestringA02
;                   String : A key name which list in [MessageStringTable].
;AcNotConnectError                  (wW)
;                  default : messagestringA05
;                   String : A key name which list in [MessageStringTable].
;DcNotConnectError                  (wW)
;                  default : messagestringA06
;                   String : A key name which list in [MessageStringTable].
;DcNotEnoughError                   (wW)
;                  default : messagestringA07
;                   String : A key name which list in [MessageStringTable].

; Supports on DOS WIN SHELL flash.
[Platform_Check]
Flag=3
PlatformName1=AA
PlatformName2=BB
PlatformName3=
PlatformName4=
PlatformName5=
PlatformName6=
PlatformName7=
PlatformName8=
PlatformName9=
PlatformName10=
PlatformName11=
PlatformName12=
PlatformName13=
PlatformName14=
PlatformName15=
PlatformName16=
PlatformName17=
PlatformName18=
PlatformName19=
PlatformName20=
;This flag is the switch of comparing BIOS project ID with ROM file project ID.
;Flag                               (dwsDWS)
;                  default : 3.
;                        0 : Don't check project ID.
;                        1 : Check project ID of new file.
;                            If ID is different with current BIOS, the utility will close.
;                        2 : Utility will compare current platform ID with the 20 platform IDs.
;                            If any one is match, it will go ahead, otherwise utility will close.
;                        3 : Depends on BIOS report.
;PlatformName1~20                   (dwsDWS)
;                  default : empty.
;                   String : If ROM file do not contain correct ID, user can define ID here.

; Supports on DOS WIN SHELL flash.
[PlatformVersion]
Flag=0
Version1=
Version2=
Version3=
Version4=
Version5=
Version6=
Version7=
Version8=
Version9=
Version10=
Version11=
Version12=
Version13=
Version14=
Version15=
Version16=
Version17=
Version18=
Version19=
Version20=
;This flag only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;The Version is pair with the PlatformName.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;Flag                               (dwsDWS)
;                  default : 0.
;                        0 : Don't use multi version.
;                        1 : Use the version in the list instead of the version in file.
;Version1~20                        (dwsDWS)
;                  default : empty.
;                   String : If ROM file do not contain correct version, user can define version here.

; Supports on DOS WIN SHELL flash.
[Bios_Version_Check]
Flag=0
CheckByBios=2
CheckByBiosErrorMessage="This BIOS file is not allow to flash. The flash process will be terminated."
;This flag is the switch of checking BIOS version.
;Flag                               (dwsDWS)
;                  default : 2.
;                        0 : Don't check rom file version.
;                        1 : Check BIOS version.
;                            When rom file version is older than BIOS, it will display
;                              a warning message and close application.
;                        2 : Depend on BIOS report.
;CheckByBios                        (dwsDWS)
;                  default : 0.
;                        0 : Normal process.
;                        1 : It will pass version by IHISI to BIOS and check by BIOS.
;                            When BIOS return not allow to flash, it will be terminated the process.
;                            When BIOS allow to flash, it will go ahead and do it's normal process.
;                            When this flag is enable but BIOS not support, it will skip version check and assume allow to flash.
;CheckByBiosErrorMessage            (dwsDWS)
;                  default : "This BIOS file is not allow to flash. The flash process will be terminated."
;                   String : User defined error message when BIOS is not allow to flash this version image.

; Supports on DOS WIN SHELL flash.
[BIOSVersionFormat]
BIOSVFEnable=1
VersionFormat=XXXXNNXXDDD
;This BIOSVFEnable flag is the switch of BIOSVersionFormat.
;FunctionEnable                     (dwsDWS)
;                  default : 0
;                        0 : function is disabled.
;                        1 : function is enabled.
;VersionFormat                      (dwsDWS)
;                        X : The field is masked. It will NOT be compared.
;                        N : The digit field can be ASCII, case-sensitive.
;                        T : It's the same definition with N. But T is a case-insensitive.
;                        . : Dot is also a mask. It will NOT be compared.
;                        D : Don't care field. It will NOT be compared.
;                            This field can be empty.
;                            It only allow to put at start or end of the version format.
;                            For example: Onboard version 1.21B flash to 1.22, VersionFormat must be N.NND
;                                         N.NND means the valid format is N.NN and N.NNX, the 5th character will be ignore in version compare.

; Supports on WIN flash.
[PermitFlashVersion]
PFVFunctionEnable=0
SingleVersion=
MultiVersion1=
MultiVersion2=
MultiVersion3=
MultiVersion4=
MultiVersion5=
MultiVersion6=
MultiVersion7=
MultiVersion8=
MultiVersion9=
MultiVersion10=
MultiVersion11=
MultiVersion12=
MultiVersion13=
MultiVersion14=
MultiVersion15=
MultiVersion16=
MultiVersion17=
MultiVersion18=
MultiVersion19=
MultiVersion20=
;This section is for conditional version definition for BIOS update.
;When this function enabled, flash utility will compare on board BIOS version with conditional version and then decide to continue flash progress or not.
;For example: In following condition PFVFunctionEnable=1, SingleVersion=A03, "Please update to BIOS version A03 first!".
;             When on board BIOS version is older than A03,
;              it will pop up the error dialog with the message "Please update to BIOS version A03 first!" and then terminated.
;             Otherwise it will continue original flash process.
;The MultiVersion1~20 are similar as SingleVersion, but they only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;They must be pair of the PlatformName of [Platform_Check] section.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;PFVFunctionEnable                  (wW)
;                  default : 0.
;                        0 : Disable conditional version check.
;                        1 : Enable conditional version check.
;SingleVersion                      (wW)
;                  default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.
;MultiVersion1~20                   (wW)
;                  default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.
;
; The section is depended on other sections if using [PermitFlashVersion].
;               a. If single version is enabled, 
;                  Please also configure section [Bios_Version_Check] for version check
;               b. If multi-version is enabled, 
;                  Please also configure following sections [Bios_Version_Check] for version check, 
;                  section [Platform_Check] for platform name check and section [PlatformVersion] for multi-platform version check

; Supports on DOS WIN SHELL Secure flash.
[FlashComplete]
Action=2,0
Dialog=0
Counter=15
ActionOverride=0
Pause=0
PauseWarning=messagestringA03
;Action                             (dwsDWS)
;                  default : 2.
;                        0 : Do nothing.
;                        1 : Shutdown.
;                        2 : Reboot.
;Dialog                             (w)
;                  default : 0.
;                        0 : Don't display dialog.
;                        1 : Display dialog.
;                        2 : Display dialog and wait several seconds.
;Counter                            (w)
;                  default : 15. (Unit is second)
;                  Integer : The number of seconds for countdown to reboot or shutdown.
;ActionOverride                     (w)
;                  default : 0
;                        0 : This key is disabled. Flash utility bases action key setting to do original behavior.
;                        1 : This key is enabled. Flash utility just does close itself in silent mode.
;Pause                              (dwsDWS)
;                  default : 0.
;                        0 : disable to pause after flash complete.
;                        1 : enable to pause after flash complete.
;PauseWarning                       (dwsDWS)
;                  default : messagestringA03
;                   String : A key name which list in [MessageStringTable].
;The value behind comma is the return value in silent mode.

; Supports on DOS WIN SHELL flash.
[FlashSecureBIOSOverride]
EnableFlashSecureBIOSOverride=0
Action=0
;EnableFlashSecureBIOSOverride      (DWS)
;                  default : 0.
;                        0 : Disable action override. Use the action which returned from BIOS.
;                        1 : Enable the action override when flashing secure BIOS in OS.
;Action                             (DWS)
;                  default : 1.
;                        0 : S3.
;                        1 : Reboot.
;                        2 : Shutdown.
;                        3 : Do nothing.

; Supports on DOS WIN SHELL Secure flash.
[ForceFlash]
ALL=1
BB_PEI=0
CPU_Microcode=0
Variable=0
DXE=0
EC=0
Password=0
OEM_NVS=0
Logo=0
Type#09=0
Type#08=0
UseBvdtRomMap=0
;These areas are reported by IHISI from BIOS for protection.
;When you set the value to 1, the selected protect area will be force flash.
;ALL                                (dwsDWS)
;                  default : 0.
;                        0 : Reserve all protected areas.
;                        1 : Flash all protected areas.
;BB_PEI, CPU_Microcode, Variable, DXE, EC, Password, OEM_NVS, Logo  (dwsDWS)
;                            They are the predefined types each one indicate a type value.
;                            BB_PEI        = Type#00
;                            CPU_Microcode = Type#01
;                            Variable      = Type#02
;                            DXE           = Type#03
;                            EC            = Type#04
;                            Password      = Type#0F
;                            OEM_NVS       = Type#10
;                            Logo          = Type#05
;                  default : 0.
;                        0 : Protect this area.
;                        1 : Force flash this area.
;Type#NN                            (dwsDWS)
;                            Type#NN is an extended method for those didn¡¦t have predefine type.
;                            The NN is a number in Hex.
;                            For example:
;                            If BIOS report to protect type 13h from IHISI, and you want to flash this protect area.
;                            Then the setting in platform.ini can add Type#13=1.
;                  default : 0.
;                        0 : Protect this area.
;                        1 : Force flash this area.
;UseBvdtRomMap                      (DWS)
;                  default : 0.
;                        0 : Disable private/protection ROM map override feature.
;                            AP will reference IHISI report to protect regions.
;                        1 : Enable private/protection ROM map override feature.
;                            AP will reference BVDT defined map to protect regions.

; Supports on DOS WIN SHELL Secure flash.
[Region]
BIOS=1
GbE=0
ME=0
DESC=0
Platform_Data=0
;This section is used to control SPI descriptor mode.
;Default is flash all regions when the values all set to 0.
;If any one of the regions set to 1, it will only flash specific regions.
;If the BIOS is built without additional Intel firmware as like ME, GBE and Descriptor
; or BIOS is an AMD firmware which does not support ME, please ignore this section.
;BIOS                               (dwsDWS)
;                  default : 0.
;                        0 : Don't flash.
;                        1 : Flash BIOS region.
;GbE                                (dwsDWS)
;                  default : 0.
;                        0 : Don't flash.
;                        1 : Flash GbE region.
;ME                                 (dwsDWS)
;                  default : 0.
;                        0 : Don't flash.
;                        1 : Flash ME region.
;DESC                               (dwsDWS)
;                  default : 0.
;                        0 : Don't flash.
;                        1 : Flash Descriptor region.
;Platform_Data                      (dwsDWS)
;                  default : 0.
;                        0 : Don't flash.
;                        1 : Flash Platform Data region.

; Supports on WIN SHELL Secure flash.
[UpdateEC]
Flag=0
EC_Dialog=0
BIOS_Only=0
EC_Only=0
EC_Path=
EC_Compare=0
EC_Verify=0
EC_VerifyErrorRetry=3
EC_BlockSize=64
EC_DockWarning=messagestringA04
;Flag                               (w)
;                  default : 0.
;                        0 : Don't flash EC by BIOS.
;                        1 : Flash EC by BIOS.
;EC_Dialog                          (w)
;                  default : 0.
;                        0 : Don't display confirm dialog when begin to update EC.
;                        1 : Show confirm dialog.
;BIOS_Only                          (w)
;                  default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Only flash BIOS part of the merge file.
;EC_Only                            (w)
;                  default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Flash only EC binary file.
;EC_Path                            (w)
;                  default : empty.
;                   String : EC filename.
;EC_Compare                         (w)
;                  default : 0.
;                        0 : Don't do compare before writing. Just do write action directly.
;                        1 : Read EC and compare difference before writing.
;                            If the read data is the same as the data we want to write,
;                              it will not do the write action.
;EC_Verify                          (w)
;                  default : 0.
;                        0 : Don't verify EC.
;                        1 : Verify EC after writing.
;EC_VerifyErrorRetry                (w)
;                  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable verify retry, and will retry setted times.
;                            0 for disable verify retry.
;EC_BlockSize                       (WDS)
;                  default : 64.
;                  Integer : The block size of EC update. Unit is KB.
;EC_DockWarning                     (dsS)
;                  default : messagestringA04
;                   String : A key name which list in [MessageStringTable].

; Supports on WIN flash.
[UpdateExtraData]
Flag=0
DataType=1
type1errorcodeA0=messagestring1
;Flag                               (w)
;                  default : 0.
;                        0 : Do not update extra data.
;                        1 : Update extra data by IHISI.
;                            If new image is NOT processed by IFIT tool, please do not enable this function.
;DataType                           (w)
;                  default : 1.
;                  Integer : Integer number. The meaning of data type number will define by BIOS OEM.
;                            Now will support 1, 4~C.
;                            Ex:1,4,6,5 -> Mean you want to update 1,4,6,5 Four type of data.
;                            Notice: 2, 3 cannot used.
;type#errorcode??=messagestringX    (w)
;                            This key is for customizing error message which occur in update extra data.
;                            For example:
;                            When an error occur when updating type 4, BIOS return the error code A2.
;                            AP will find the key "type4errorcodeA2" and get the string ID "messagestring4", and find the string in [MessageStringTable].
;                            Then shows the message string instead of standard error message.
;                        # : The type number define in DataType. (Hex)
;                       ?? : The error code returned by BIOS. Available value range  A0~AF.
;                        X : Message string number.
;This feature will let you just input data to update by IHISI. Data type will define by BIOS OEM.
;If new image is NOT processed by IFIT tool, please do not enable this function.

; Supports on WIN SHELL flash.
[UpdateOEMME]
MEFileName=
CheckVersion=0
Command=
;MEFileName                         (ws)
;                  default : empty.
;                   String : When this filename or Multi-FD ME filename exist, tool will run this case to flash ME.
;CheckVersion                       (w)
;                  default : 0.
;                        0 : Don't check ME file version.
;                        1 : Check ME file version.
;                        2 : When ME flash error is cause of same version and downgrade version do not show error and continue to flash.
;                        3 : When ME flash error, show error but continue to flash.
;Command                            (ws)
;                  default : empty.
;                   String : When this field is empty and don't want to check ME version, utility will use "-f %filename -generic -allowsv" as default command.
;                            The %filename is a keyword which will be replaced with the value in MEFileName within this section or the filename in MULTI_FD section.
;NOTE:
; The Intel firmware update tool (FWUpdLcl.exe) is dependent on each chipset generation, the tool in release flash package is a sample and may be not suitable for your project.
; Please remember to replace the FWUpdLcl.exe with right version before you will utilize function to update Intel firmware (ME or TXE).

; Supports on WIN SHELL flash.
[Log_file]
Flag=0
FileName=H2OFFT.log
CMOS_Flag=0
CMOS_INDEX_PORT=70
CMOS_DATA_PORT=71
CMOS_OFFSET=68,69
;Flag                               (wsWS)
;                  default : 0.
;                        0 : Don't log to file.
;                        1 : Utility will log to specify file.
;FileName                           (wsWS)
;                  default : H2OFFT.log.
;                   String : Log filename.
;CMOS_Flag                          (wW)
;                  default : 0.
;                        0 : Disable CMOS debug.
;                        1 : Enable CMOS debug.
;CMOS_INDEX_PORT                    (wW)
;                  default : 70. (hex)
;                       70 : Use 0x70 port as index port.
;                       72 : Use 0x72 port as index port.
;CMOS_DATA_PORT                     (wW)
;                  default : 71. (hex)
;                       71 : Use 0x71 port as index port.
;                       73 : Use 0x73 port as index port.
;CMOS_OFFSET                        (wW)
;                  default : 0,0. (hex)
;                            CMOS_OFFSET=xx,yy the xx is high byte offset; yy is low byte offset, and the range is 0~FF (hex)

; Supports on WIN flash.
[ReturnErrorCode]
FileNotFound=3,259
ErrorBeforeFlash=4,259
BatteryNotConnect=4,259
BatteryCapacityNotEnough=4,259
WriteROMFail=5,259
WriteECFail=6,259
WriteExtraDataFail=7,259
;FileNotFound                       (wW)
;                  default : 3.
;                  Integer : If utility cannot find the BIOS file, it will return this error code.
;ErrorBeforeFlash                   (wW)
;                  default : 4.
;                  Integer : If error occur before flash process, it will return this error code.
;BatteryNotConnect                  (wW)
;                  default : 4.
;                  Integer : If battery not connect, it will return this error code.
;                            (This error is separated from ErrorBeforeFlash.)
;BatteryCapacityNotEnough           (wW)
;                  default : 4.
;                  Integer : If battery capacity not enough, it will return this error code.
;                            (This error is separated from ErrorBeforeFlash.)
;WriteROMFail                       (wW)
;                  default : 5.
;                  Integer : If error occur during write ROM process, it will return this error code.
;WriteECFail                        (wW)
;                  default : 6.
;                  Integer : If error occur during write EC process, it will return this error code.
;WriteExtraDataFail                 (wW)
;                  default : 7.
;                  Integer : If error occur during write Extra Data process, it will return this error code.
;The value behind comma is the return value in silent mode.

; Supports on WIN flash.
[ReturnCodeDefinition]
RETURN_SUCCESSFUL=0,3010
RETURN_MODEL_CHECK_FAIL=259,259
RETURN_USER_CONFIRM_CANCEL=1701,259
RETURN_AC_NOT_CONNECT=1702,259
RETURN_LOAD_DRIVER_FAIL=1703,259
RETURN_NEED_REBOOT=3010,3010
RETURN_USER_EXIT=1704,259
RETURN_SAME_VERSION_CHECK=99999,259
;RETURN_SUCCESSFUL                  (wW)
;                  default : 0.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_MODEL_CHECK_FAIL            (wW)
;                  default : 259.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_USER_CONFIRM_CANCEL         (wW)
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_AC_NOT_CONNECT              (wW)
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_LOAD_DRIVER_FAIL            (wW)
;                  default : 259.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_NEED_REBOOT                 (wW)
;                  default : 3010.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_USER_EXIT                   (wW)
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_SAME_VERSION_CHECK          (wW)
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;The value behind comma is the return value in silent mode.

; Supports on DOS WIN SHELL Secure flash.
[Others]
DisableCompare=0
DisableVerify=0
VerifyErrorRetry=3
SMIErrorRetryDelay=100
SMIErrorRetry=5
ForceIHISIVersion=
EnablePrivateRegionMovement=0
EnableProtectionRegionMovement=0
DisableSecureCapsuleFlash=0
BootSafeMode=0
;DisableCompare                     (wsWS)
;                  default : 0.
;                        0 : Read BIOS and compare difference before writing.
;                            If the read data is the same as the data we want to write,
;                              it will not do the write action.
;                        1 : Don't do compare before writing. Just do write action directly.
;DisableVerify                      (wsWS)
;                  default : 0.
;                        0 : Verify BIOS after writing.
;                        1 : Don't verify BIOS after writing.
;VerifyErrorRetry                   (wsWS)
;                  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable verify retry, and will retry set times.
;                            0 for disable verify retry.
;SMIErrorRetryDelay                 (wsWS)
;                  default : 100. (Unit is millisecond)
;                  Integer : Delay time during SMI error retry (millisecond).
;SMIErrorRetry                      (wsWS)
;                  default : 5.
;                  Integer : Retry times when SMI fail. (Note: This may let flash time become longer.)
;ForceIHISIVersion                  (w)
;                  default : empty.
;                  Version : This flag will force override the IHISI version which will passing to BIOS.
;                            Ex: 1.9.1
;EnablePrivateRegionMovement        (wsDWS)
;                  default : 0
;                        0 : Disable private region movement.
;                        1 : Enable private region movement. It will backup orginal private regions and relocate to new address which defined in new image BVDT when update whole BIOS.
;EnableProtectionRegionMovement     (sDWS)
;                  default : 0
;                        0 : Disable protection region movement.
;                        1 : Enable protection region movement. It will backup orginal protection regions and relocate to new address which defined in new image BVDT when update whole BIOS.
;                            This flag cannot be used with [ForceFlash] all=1.
;DisableSecureCapsuleFlash          (dwsDWS)
;                  default : 0.
;                        0 : Enable flash secure BIOS on normal platform.
;                        1 : Disable flash secure BIOS on normal platform.
;BootSafeMode                       (wW)
;                   format : [Number],[Version String]
;         [Number] default : 0.
;                        0 : Disable this feature. Normal boot.
;                        1 : Enable this feature. Next boot into Windows safe mode.
; [Version String] default : empty.
;                            The limit version.
;                            When onboard BIOS version smaller than or equal to this version, it allow to enable this feature.
;                            When onboard BIOS version bigger than this version, this feature always disable even the value is set to 1.

; Supports on WIN flash.
[PasswordCheck]
PasswordCheckEnable=0
MsgCaption=Password confirmation
MsgPreface=Please enter password
MsgSuccess=Password is correct.
MsgFailure=Password is incorrect. Please retry again.
;PasswordCheckEnable                (wW)
;                  default : 0.
;                        0 : Disable the password check function.
;                        1 : Enable the password check function.
;MsgCaption                         (wW)
;                  default : "Password confirmation"
;                   String : The dialog box caption.
;MsgPreface                         (wW)
;                  default : "Please enter password"
;                   String : The preface of password entering.
;MsgSuccess                         (wW)
;                  default : "Password is correct."
;                   String : The string displayed when the comparing result returned by BIOS is 0x00.
;MsgFailure                         (wW)
;                  default : "Password is incorrect. Please retry again."
;                   String : The string displayed when the comparing result returned by BIOS is 0x01.

; Supports on DOS WIN Shell flash.
[MessageStringTable]
messagestring1="Warning message 1"
messagestringA00="It only supports to flash secure BIOS on current platform.\r\nThe image to be updated is not a secure BIOS.\r\n"
messagestringA01="Not allow to flash secure BIOS on current platform.\r\n"
messagestringA02="Please do not remove the AC power!"
messagestringA03="Press any key to continue..."
messagestringA04="Get EC part information fail."
messagestringA05="Insyde H2OFFT cannot run on battery power. Please plug in AC power and try again."
messagestringA06="Please insert system battery."
messagestringA07="Battery is too low (%d < %d). Please charge your battery to %d%%."
;messagestring#                     (dwsDWS)
;                 default : empty.
;The message string must as following format messagestring#="Your message here."
;The # is a number in Decimal or Hex.
;If a multi line message is required, you can use "\n" in message string for new line.

[SecurityFlashFactoryUpdate]
UpdateNvStorage=0
;UpdateNvStorage   default : 0.
;                        0 : Don't update NV storage area on secure boot support platform.
;                        1 : Force update NV storage area on secure boot support platform.


; Supports on Secure flash.
[FactoryCopy]
Restore=0
;Restore                            (DWS)
;                  default : 0.
;                        0 : Don't do FACTORY_COPY restore after flash.
;                        1 : Restore FACTORY_COPY after flash BIOS.
;Factory copy is a region in BIOS which is used to store default keys of Secure Boot.


; Supports on DOS WIN flash.
[CapsuleAudit]
Flag=0
QAKey=
OemKey=
;Flag                               (dw)
;                  default : 0.
;                        0 : disable.
;                        1 : enable Capsule Update Audit.
;QAKey                              (dw)
;                  default : empty.
;                   String : image file signing by Insyde QA test key.
;OemKey                             (dw)
;                  default : empty.
;                   String : image file signing by OEM/ODM key.

; Supports on WIN Shell flash.
[SecureUpdate]
viaESP=1
PhysicalMemoryAllocateFailRetryTimes=3
PhysicalMemoryAllocateFailRetryDelay=500
;viaESP                            (WS)
;                  default : 0.
;                        0 : disable.
;                        1 : write the capsule to ESP (EFI system partition).
;PhysicalMemoryAllocateFailRetryTimes   (W)
;                  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable physical memory allocate fail retry, and will retry setted times.
;                            0 for disable retry.
;PhysicalMemoryAllocateFailRetryDelay   (W)
;                  default : 500. (Unit is millisecond)
;                  Integer : Delay time during secure update plysical memory allocate fail retry (millisecond).

; Supports on WIN Secure flash.
[AutoWakeup]
Flag=0
Interval=120
;Flag                               (wsWDS)
;                  default : 0.
;                        0 : disable.
;                        1 : enable auto power on via RTC.
;Interval                           (wsWDS)
;                  default : 120.
;                  Integer : unit is second. interval time after system turn off.

